## python-cattrs 1.10.0

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help bench bench-cmp
.DEFAULT_GOAL := help
define BROWSER_PYSCRIPT
import os, webbrowser, sys
try:
	from urllib import pathname2url
except:
	from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT
BROWSER := python -c "$$BROWSER_PYSCRIPT"

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts


clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/

lint: ## check style with flake8
	poetry run flake8 src/cattr tests
	poetry run black --check src tests docs/conf.py

test: ## run tests quickly with the default Python
	pytest -x --ff tests


test-all: ## run tests on every Python version with tox
	tox

coverage: ## check code coverage quickly with the default Python
	coverage run --source cattr -m pytest

	coverage report -m
	coverage html
	$(BROWSER) htmlcov/index.html

docs: ## generate Sphinx HTML documentation, including API docs
	rm -f docs/cattr.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ src/cattr
	$(MAKE) -C docs clean
	$(MAKE) -C docs doctest
	$(MAKE) -C docs html
	$(BROWSER) docs/_build/html/index.html

servedocs: docs ## compile the docs watching for changes
	watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D .

release: clean ## package and upload a release
	python setup.py sdist upload
	python setup.py bdist_wheel upload

dist: clean ## builds source and wheel package
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean ## install the package to the active Python's site-packages
	python setup.py install

bench-cmp:
	pytest bench --benchmark-compare

bench:
	pytest bench --benchmark-save base

=== docs/requirements.txt ===
furo==2021.7.31b41

=== debian/changelog ===
python-cattrs (1.10.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Wed, 19 Jan 2022 02:19:24 -0500

python-cattrs (1.9.0-2) unstable; urgency=medium

  * source-only upload

 -- Sandro Tosi <morph@debian.org>  Tue, 28 Dec 2021 00:32:22 -0500

python-cattrs (1.9.0-1) unstable; urgency=low

  * Initial release, autogenerated by py2dsp/2.20211223-morph; Closes: #996707

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Dec 2021 18:47:47 -0500

=== debian/control ===
Source: python-cattrs
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-all,
               python3-attr <!nocheck>,
               python3-bson <!nocheck>,
               python3-hypothesis <!nocheck>,
               python3-msgpack <!nocheck>,
               python3-poetry-core,
               python3-pytest <!nocheck>,
               python3-pytest-benchmark <!nocheck>,
               python3-sphinx,
               python3-tomlkit <!nocheck>,
               python3-ujson <!nocheck>,
               python3-yaml <!nocheck>,
Standards-Version: 4.6.0.1
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/python-attrs/cattrs
Vcs-Git: https://salsa.debian.org/python-team/packages/cattrs.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/cattrs

Package: python3-cattr
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: composable complex class support for attrs and dataclasses
 cattrs is an open source Python library for structuring and unstructuring
 data. cattrs works best with attrs classes, dataclasses and the usual
 Python collections, but other kinds of classes are supported by manually
 registering converters.
 .
 Python has a rich set of powerful, easy to use, built-in data types like
 dictionaries, lists and tuples. These data types are also the lingua franca
 of most data serialization libraries, for formats like json, msgpack, yaml or
 toml.
 .
 Data types like this, and mappings like dict s in particular, represent
 unstructured data. Your data is, in all likelihood, structured: not all
 combinations of field names or values are valid inputs to your programs. In
 Python, structured data is better represented with classes and enumerations.
 attrs is an excellent library for declaratively describing the structure of
 your data, and validating it.
 .
 When you're handed unstructured data (by your network, file system,
 database...),  uattrs helps to convert this data into structured data. When you
 have to convert your structured data into data types other libraries can
 handle, cattrs turns your classes and enumerations into dictionaries, integers
 and strings.

Package: python-cattrs-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: documentation for the cattrs Python library
 cattrs is an open source Python library for structuring and unstructuring
 data. cattrs works best with attrs classes, dataclasses and the usual
 Python collections, but other kinds of classes are supported by manually
 registering converters.
 .
 Python has a rich set of powerful, easy to use, built-in data types like
 dictionaries, lists and tuples. These data types are also the lingua franca
 of most data serialization libraries, for formats like json, msgpack, yaml or
 toml.
 .
 Data types like this, and mappings like dict s in particular, represent
 unstructured data. Your data is, in all likelihood, structured: not all
 combinations of field names or values are valid inputs to your programs. In
 Python, structured data is better represented with classes and enumerations.
 attrs is an excellent library for declaratively describing the structure of
 your data, and validating it.
 .
 When you're handed unstructured data (by your network, file system,
 database...),  uattrs helps to convert this data into structured data. When you
 have to convert your structured data into data types other libraries can
 handle, cattrs turns your classes and enumerations into dictionaries, integers
 and strings.
 .
 This package provides documentation for cattrs

## python-cattrs 22.2.0

=== Makefile ===
--- 
+++ 
@@ -48,11 +48,11 @@
 	rm -fr htmlcov/
 
 lint: ## check style with flake8
-	poetry run flake8 src/cattr tests
+	poetry run flake8 src/ tests
 	poetry run black --check src tests docs/conf.py
 
 test: ## run tests quickly with the default Python
-	pytest -x --ff tests
+	poetry run pytest -x --ff tests
 
 
 test-all: ## run tests on every Python version with tox

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/cattrs.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/cattrs.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/cattrs"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/cattrs"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	PYTHONHASHSEED=0 $(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
furo==2021.7.31b41
poetry==1.2.0a2

=== debian/changelog ===
python-cattrs (22.2.0-1) unstable; urgency=medium

  * New upstream release; Closes: #1013175
  * debian/patches/issue202.patch
    - drop patch, merged upstream
  * debian/control
    - bump Standards-Version to 4.6.2.0 (no changes needed)
  * run autopkgtest via pybuild plugin

 -- Sandro Tosi <morph@debian.org>  Thu, 29 Dec 2022 02:27:48 -0500

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
                python3-tomlkit <!nocheck>,
                python3-ujson <!nocheck>,
                python3-yaml <!nocheck>,
-Standards-Version: 4.6.0.1
-Testsuite: autopkgtest-pkg-python
+Standards-Version: 4.6.2.0
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/python-attrs/cattrs
 Vcs-Git: https://salsa.debian.org/python-team/packages/cattrs.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/cattrs
@@ -58,6 +58,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: documentation for the cattrs Python library
  cattrs is an open source Python library for structuring and unstructuring
  data. cattrs works best with attrs classes, dataclasses and the usual

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=cattr
export PYBUILD_TEST_ARGS=-v --ignore tests/test_unstructure_collections.py -k 'not test_orjson'

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	PYTHONPATH=$(shell pybuild -p `py3versions -dv` --print {build_dir}) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

## python-cattrs 23.2.3

=== debian/changelog ===
python-cattrs (23.2.3-1) unstable; urgency=medium

  * New upstream release
  * stop building the -doc package
  * build using hatchling and hatch-vcs, overriding the SCM version
  * debian/rules
    - skip tests depending on cbor2, module not available in debian

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Mar 2024 02:28:17 -0500

python-cattrs (22.2.0-2) unstable; urgency=medium

  * drop DPT

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 03:59:28 -0500

=== debian/control ===
Source: python-cattrs
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-all,
               python3-attr <!nocheck>,
               python3-bson <!nocheck>,
               python3-hatch-vcs,
               python3-hatchling,
               python3-hypothesis <!nocheck>,
               python3-msgpack <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-benchmark <!nocheck>,
               python3-tomlkit <!nocheck>,
               python3-ujson <!nocheck>,
               python3-yaml <!nocheck>,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/python-attrs/cattrs
Vcs-Git: https://salsa.debian.org/morph/python-cattrs.git
Vcs-Browser: https://salsa.debian.org/morph/python-cattrs

Package: python3-cattr
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: composable complex class support for attrs and dataclasses
 cattrs is an open source Python library for structuring and unstructuring
 data. cattrs works best with attrs classes, dataclasses and the usual
 Python collections, but other kinds of classes are supported by manually
 registering converters.
 .
 Python has a rich set of powerful, easy to use, built-in data types like
 dictionaries, lists and tuples. These data types are also the lingua franca
 of most data serialization libraries, for formats like json, msgpack, yaml or
 toml.
 .
 Data types like this, and mappings like dict s in particular, represent
 unstructured data. Your data is, in all likelihood, structured: not all
 combinations of field names or values are valid inputs to your programs. In
 Python, structured data is better represented with classes and enumerations.
 attrs is an excellent library for declaratively describing the structure of
 your data, and validating it.
 .
 When you're handed unstructured data (by your network, file system,
 database...),  uattrs helps to convert this data into structured data. When you
 have to convert your structured data into data types other libraries can
 handle, cattrs turns your classes and enumerations into dictionaries, integers
 and strings.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=cattr
# tests/test_preconf.py, needs cbor2, not packaged for debian
export PYBUILD_TEST_ARGS=-v --ignore tests/test_unstructure_collections.py --ignore tests/test_preconf.py -k 'not test_orjson'
export SETUPTOOLS_SCM_PRETEND_VERSION=${DEB_VERSION_UPSTREAM}

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-cattrs 24.1.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-.PHONY: clean clean-test clean-pyc clean-build docs help bench bench-cmp
+.PHONY: clean clean-test clean-pyc clean-build docs help bench bench-cmp test
 .DEFAULT_GOAL := help
 define BROWSER_PYSCRIPT
 import os, webbrowser, sys
@@ -47,47 +47,31 @@
 	rm -f .coverage
 	rm -fr htmlcov/
 
-lint: ## check style with flake8
-	poetry run flake8 src/ tests
-	poetry run black --check src tests docs/conf.py
+lint: ## check style with ruff and black
+	pdm run ruff src/ tests
+	pdm run black --check src tests docs/conf.py
 
 test: ## run tests quickly with the default Python
-	poetry run pytest -x --ff tests
+	pdm run pytest -x --ff -n auto tests
 
 
 test-all: ## run tests on every Python version with tox
 	tox
 
 coverage: ## check code coverage quickly with the default Python
-	coverage run --source cattr -m pytest
+	pdm run coverage run --source cattrs -m pytest -n auto tests
 
-	coverage report -m
-	coverage html
+	pdm run coverage report -m
+	pdm run coverage html
 	$(BROWSER) htmlcov/index.html
 
 docs: ## generate Sphinx HTML documentation, including API docs
-	rm -f docs/cattr.rst
-	rm -f docs/modules.rst
-	sphinx-apidoc -o docs/ src/cattr
 	$(MAKE) -C docs clean
 	$(MAKE) -C docs doctest
 	$(MAKE) -C docs html
-	$(BROWSER) docs/_build/html/index.html
 
-servedocs: docs ## compile the docs watching for changes
-	watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D .
-
-release: clean ## package and upload a release
-	python setup.py sdist upload
-	python setup.py bdist_wheel upload
-
-dist: clean ## builds source and wheel package
-	python setup.py sdist
-	python setup.py bdist_wheel
-	ls -l dist
-
-install: clean ## install the package to the active Python's site-packages
-	python setup.py install
+htmllive: docs ## compile the docs watching for changes
+	$(MAKE) -C docs htmllive
 
 bench-cmp:
 	pytest bench --benchmark-compare

=== debian/changelog ===
python-cattrs (24.1.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - add cbor2, msgspec to b-d, needed by tests
  * debian/patches/{PR576.patch, PR585.patch}
    - add support for attrs >= 24.2.0, see GH#575; Closes: #1086614
  * debian/patches/PR543.patch
    - add support for python 3.13; Closes: #1073406
  * debian/rules
    - skip test_unstructure_collections.py
  * debian/control, debian/rules
    - install orjson and enable tests

 -- Sandro Tosi <morph@debian.org>  Mon, 24 Feb 2025 23:44:58 -0500

## python-cattrs 25.2.0

=== debian/changelog ===
python-cattrs (25.2.0-1) unstable; urgency=medium

  * New upstream release
  * drop all patches, merged upstream

 -- Sandro Tosi <morph@debian.org>  Sun, 05 Oct 2025 01:51:46 -0400

## python-cattrs 25.3.0

=== debian/changelog ===
python-cattrs (25.3.0-1) unstable; urgency=medium

  * New upstream release; Closes: #1117765

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Oct 2025 00:46:24 -0400

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,13 @@
                python3-all,
                python3-attr <!nocheck>,
                python3-bson <!nocheck>,
+               python3-cbor2 <!nocheck>,
                python3-hatch-vcs,
                python3-hatchling,
                python3-hypothesis <!nocheck>,
                python3-msgpack <!nocheck>,
+               python3-msgspec <!nocheck>,
+               python3-orjson <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-benchmark <!nocheck>,
                python3-tomlkit <!nocheck>,

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=cattr
# test_unstructure_collections.py, test_cols.py: needs immutables, not packaged for debian
export PYBUILD_TEST_ARGS=-v --ignore tests/test_unstructure_collections.py --ignore tests/test_cols.py
export SETUPTOOLS_SCM_PRETEND_VERSION=${DEB_VERSION_UPSTREAM}

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="pgpmode=none, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/python-attrs/cattrs/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
